import locale               # Python Locale - https://docs.python.org/3/library/locale.html
import gettext              # Python Gettext - https://docs.python.org/3/library/gettext.html
import os                   # Python OS - https://docs.python.org/3/library/os.html
import pathlib              # Python Pathlib - https://docs.python.org/3/library/pathlib.html
import platform as pyplat   # Python Platform - https://docs.python.org/3/library/platform.html
import sys                  # Python Sys - https://docs.python.org/3/library/sys.html


platform = pyplat.system()

# force working directory to the right place (Windows py2exe only)
if platform == "Windows":
    app_path = pathlib.Path(sys.path[0])
    if app_path.is_dir():
        os.chdir(app_path)
    else:
        os.chdir(app_path.parent)

current_locale, encoding = locale.getdefaultlocale()
locale_path = "locale/"
translation = gettext.translation("commit", locale_path, [current_locale], fallback=True)
_ = translation.gettext

# Universal values for the app.
vendor_name = "intersanity"
vendor_display_name = "Intersanity Enterprises"
vendor_product_code = "IEOS-00039-A$01"
app_name = "commit"
app_display_name = "Commit"
app_tagline = _("the Advanced Modern Typewriter")
app_version = pathlib.Path("./version.txt").read_text()
app_credit = vendor_display_name + " " + _("and contributors")
app_website = "https://www.intersanity.com/software/commit/"
app_help_url = "https://www.intersanity.com/software/commit/manual/"
app_update_url = "https://update.intersanity.com/commit/stable.txt"

# Some additional constants have to be set at runtime (see commit.py)
icon = None
