import pathlib              # Python Pathlib - https://docs.python.org/3/library/pathlib.html

import wx                   # wxPython - https://wxpython.org/


class CommitApp(wx.App):
    def __init__(self, *args, **kwargs):
        self.file_on_open = pathlib.Path()
        super().__init__(*args, **kwargs)

    # handle Mac-specific stuff: double-clicking ctxt files and drag-drop, etc.
    def MacOpenFiles(self, filenames):
        mainwin = self.GetMainTopWindow()
        file_requested = pathlib.Path(filenames[0])

        if file_requested.is_file() and mainwin is None:
            self.file_on_open = file_requested
        else:
            mainwin.file.open(filenames[0])
