import wx                                         # wxPython - https://wxpython.org/
import wx.html                                    # wxPython HTML - https://docs.wxpython.org/wx.html.1moduleindex.html
import webbrowser                                 # Python WebBrowser - https://docs.python.org/3/library/webbrowser.html

from commit.ui.commit_ui_design import HtmlDisplayWin_Base   # local - about window design from wxFormBuilder


class HtmlDisplayWin(HtmlDisplayWin_Base):
    def __init__(self, parent, title="", html_content=None):
        # call parent init
        super().__init__(parent)

        # set window title
        self.SetTitle(title)

        # set window content to CREDITS.md converted to HTML
        self.html_display.SetPage(html_content)

        # Connect Events (normally would do this in wxFormBuilder, but it gets the event name wrong!)
        self.html_display.Bind(wx.html.EVT_HTML_LINK_CLICKED, self.go_to_url)

        self.Fit()
        self.Center()

    @staticmethod
    def go_to_url(event):
        webbrowser.open(
            event.GetLinkInfo().GetHref()
        )
